Package es.imim.DISGENET.network

# Class NetCreationEvent

java.lang.Object
java.util.EventObject
es.imim.DISGENET.network.NetCreationEvent

All Implemented Interfaces:
  `Serializable`

public class NetCreationEvent extends EventObject
part of event handler class to allow updating the progress bar from different task

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`NetCreationEvent(Object source, Double pct)`

## Method Summary

Modifier and Type
Method
Description
`Double`
`pct()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NetCreationEvent

public NetCreationEvent(Object source, Double pct)

## Method Details

### pct

public Double pct()